<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'bixo',

    /*
     * Package.
     */
    'package'   => 'sanction',

    /*
     * Modules.
     */
    'modules'   => ['sanction'],

    
    'sanction'       => [
        'model' => [
            'model'                 => \Bixo\Sanction\Models\Sanction::class,
            'table'                 => 'sanctions',
            'presenter'             => \Bixo\Sanction\Repositories\Presenter\SanctionPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'deal_id',  'ref',  'deal_ref',  'type',  'status',  'score',  'buyer_name',  'seller_name',  'buyer_names',  'seller_names',  'notes',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'sanction/sanction',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Sanction',
            'module'    => 'Sanction',
        ],

    ],
];
