<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for sanction in sanction package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  sanction module in sanction package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Sanction',
    'names'         => 'Sanctions',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Sanctions',
        'sub'   => 'Sanctions',
        'list'  => 'List of sanctions',
        'edit'  => 'Edit sanction',
        'create'    => 'Create new sanction'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'deal_id'                    => 'Please enter deal id',
        'ref'                        => 'Please enter ref',
        'deal_ref'                   => 'Please enter deal ref',
        'type'                       => 'Please enter type',
        'status'                     => 'Please enter status',
        'score'                      => 'Please enter score',
        'buyer_name'                 => 'Please enter buyer name',
        'seller_name'                => 'Please enter seller name',
        'buyer_names'                => 'Please enter buyer names',
        'seller_names'               => 'Please enter seller names',
        'notes'                      => 'Please enter notes',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'deal_id'                    => 'Deal id',
        'ref'                        => 'Ref',
        'deal_ref'                   => 'Deal ref',
        'type'                       => 'Type',
        'status'                     => 'Status',
        'score'                      => 'Score',
        'buyer_name'                 => 'Buyer name',
        'seller_name'                => 'Seller name',
        'buyer_names'                => 'Buyer names',
        'seller_names'               => 'Seller names',
        'notes'                      => 'Notes',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'deal_id'                    => ['name' => 'Deal id', 'data-column' => 1, 'checked'],
        'ref'                        => ['name' => 'Ref', 'data-column' => 2, 'checked'],
        'deal_ref'                   => ['name' => 'Deal ref', 'data-column' => 3, 'checked'],
        'type'                       => ['name' => 'Type', 'data-column' => 4, 'checked'],
        'score'                      => ['name' => 'Score', 'data-column' => 5, 'checked'],
        'buyer_name'                 => ['name' => 'Buyer name', 'data-column' => 6, 'checked'],
        'seller_name'                => ['name' => 'Seller name', 'data-column' => 7, 'checked'],
        'buyer_names'                => ['name' => 'Buyer names', 'data-column' => 8, 'checked'],
        'seller_names'               => ['name' => 'Seller names', 'data-column' => 9, 'checked'],
        'notes'                      => ['name' => 'Notes', 'data-column' => 10, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Sanctions',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
