<?php

// API routes  for sanction
Route::prefix('{guard}/sanction')->group(function () {
    Route::get('sanction/form/{element}', 'SanctionAPIController@form');
    Route::resource('sanction', 'SanctionAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for sanctions
            Route::prefix('{guard}/sanction')->group(function () {
                Route::get('sanction/form/{element}', 'SanctionAPIController@form');
                Route::apiResource('sanction', 'SanctionAPIController');
            });
            // Public routes for sanctions
            Route::get('sanction/Sanction', 'SanctionPublicController@getSanction');
        }
    );
}

