<?php

// web routes  for sanction
Route::prefix('{guard}/sanction')->group(function () {
    Route::resource('sanction', 'SanctionResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'SanctionResourceController');
            });
            // Public routes for pages
            Route::get('sanctions/', 'SanctionPublicController@index');
            Route::get('sanctions/{slug?}', 'SanctionPublicController@show');
        }
    );
}

